Bug 196062 - Remove Mk/bsd.efl.mk
Summary: Remove Mk/bsd.efl.mk
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Grzegorz Blach
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-17 13:47 UTC by Grzegorz Blach
Modified: 2014-12-27 00:11 UTC (History)
1 user (show)

See Also:
gblach: exp-run?


Attachments
Remove Mk/bsd.efl.mk (26.65 KB, patch)
2014-12-17 13:47 UTC, Grzegorz Blach
no flags Details | Diff
Updated patch with bumped PORTREVISIONs (32.31 KB, patch)
2014-12-17 20:02 UTC, Grzegorz Blach
no flags Details | Diff
Converted missing ports (35.93 KB, patch)
2014-12-25 19:18 UTC, Grzegorz Blach
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Grzegorz Blach freebsd_committer 2014-12-17 13:47:12 UTC
Created attachment 150681 [details]
Remove Mk/bsd.efl.mk

After recent update of EFL libraries there are only two used knobs in bsd.efl.mk:
USE_EFL=imlib2 and USE_ELF=libtool_hack. libtool_hack can be replaced by USES=libtool and USE_EFL=imlib2 can be replaced by LIB_DEPENDS=...
Currently these knobs are not useful like in time when was created.

IMO before remove Mk/bsd.efl.mk, exp-run is needed.
Comment 1 Baptiste Daroussin freebsd_committer 2014-12-17 13:57:22 UTC
Everything that is depending on imlib2 should be bumped here (the shlib of imlib2 is changing.)
Comment 2 Grzegorz Blach freebsd_committer 2014-12-17 20:02:28 UTC
Created attachment 150690 [details]
Updated patch with bumped PORTREVISIONs
Comment 3 Antoine Brodin freebsd_committer 2014-12-25 16:33:19 UTC
Take for exp-run
Comment 4 Antoine Brodin freebsd_committer 2014-12-25 16:55:02 UTC
A few ports were not converted:

editors/texmacs/Makefile:IMLIB2_USE=            EFL=imlib2
graphics/libcaca/Makefile:IMLIB2_USE=   EFL=imlib2
multimedia/camserv/Makefile:IMLIB2_USE= EFL=imlib2
x11-wm/wmfs/Makefile:IMLIB_USE= EFL=imlib2
x11-wm/openbox/Makefile:IMLIB_USE=      EFL=imlib2
x11/wmappl/Makefile:IMLIB2_USE=                 EFL=imlib2

Could you convert them?
Comment 5 Grzegorz Blach freebsd_committer 2014-12-25 19:18:09 UTC
Created attachment 150959 [details]
Converted missing ports
Comment 6 Antoine Brodin freebsd_committer 2014-12-26 16:28:33 UTC
Looks good:

http://package23.nyi.freebsd.org/build.html?mastername=91i386-default-PR196062&build=2014-12-25_22h47m23s

http://package23.nyi.freebsd.org/build.html?mastername=101amd64-default-PR196062&build=2014-12-25_21h49m07s

Make sure you bump the portrevision of all ports linking against imlib2, it seems a few were missed:

audio/deadbeef
games/netrek-client-cow
graphics/qiv
graphics/scrot
graphics/sxiv
x11-w/epplets
x11-wm/obconf
Comment 7 Grzegorz Blach freebsd_committer 2014-12-26 22:40:59 UTC
In attached diff I've modified many ports maintained by other developers. Do I need to ask everyone to approve my changes?
Comment 8 Antoine Brodin freebsd_committer 2014-12-26 23:12:13 UTC
ok, approved by portmgr
Comment 9 commit-hook freebsd_committer 2014-12-27 00:09:54 UTC
A commit references this bug:

Author: gblach
Date: Sat Dec 27 00:09:17 UTC 2014
New revision: 375663
URL: https://svnweb.freebsd.org/changeset/ports/375663

Log:
  - Remove Mk/bsd.efl.mk
  - Convert USE_EFL=libtool_hack to USES=libtool
  - Convert USE_EFL=imlib2 to LIB_DEPENDS=libImlib2.so:...
  - Bump PORTVERSION in graphics/imlib2 and in all ports
    which depends on imlib2

  PR:		196062
  Approved by:	portmgr

Changes:
  head/Mk/bsd.efl.mk
  head/Mk/bsd.port.mk
  head/audio/deadbeef/Makefile
  head/deskutils/pypanel/Makefile
  head/devel/libast/Makefile
  head/editors/texmacs/Makefile
  head/games/netrek-client-cow/Makefile
  head/games/xteddy/Makefile
  head/graphics/feh/Makefile
  head/graphics/giblib/Makefile
  head/graphics/hsetroot/Makefile
  head/graphics/icat/Makefile
  head/graphics/imlib2/Makefile
  head/graphics/imlib2/pkg-plist
  head/graphics/imlib2_loaders/Makefile
  head/graphics/libcaca/Makefile
  head/graphics/maim/Makefile
  head/graphics/p5-Image-Imlib2/Makefile
  head/graphics/p5-Imlib2/Makefile
  head/graphics/pecl-imlib2/Makefile
  head/graphics/qiv/Makefile
  head/graphics/ruby-imlib2/Makefile
  head/graphics/scrot/Makefile
  head/graphics/simpleviewer/Makefile
  head/graphics/sxiv/Makefile
  head/graphics/telak/Makefile
  head/graphics/zphoto/Makefile
  head/irc/minbif/Makefile
  head/multimedia/audacious-plugins/Makefile
  head/multimedia/camserv/Makefile
  head/multimedia/py-kaa-imlib2/Makefile
  head/x11/3ddesktop/Makefile
  head/x11/bgs/Makefile
  head/x11/erun/Makefile
  head/x11/eterm/Makefile
  head/x11/fbdesk/Makefile
  head/x11/idesk/Makefile
  head/x11/ipager/Makefile
  head/x11/metalock/Makefile
  head/x11/tint/Makefile
  head/x11/wbar/Makefile
  head/x11/wmappl/Makefile
  head/x11-wm/awesome/Makefile
  head/x11-wm/awesome2/Makefile
  head/x11-wm/e16/Makefile
  head/x11-wm/epplets/Makefile
  head/x11-wm/fluxbox/Makefile
  head/x11-wm/obconf/Makefile
  head/x11-wm/openbox/Makefile
  head/x11-wm/phluid/Makefile
  head/x11-wm/wmfs/Makefile
Comment 10 Grzegorz Blach freebsd_committer 2014-12-27 00:11:11 UTC
Committed, thanks.